<?php

namespace App\Filament\Admin\Resources\Settings\Schemas;

use Filament\Infolists\Components\IconEntry;
use Filament\Infolists\Components\TextEntry;
use Filament\Schemas\Schema;

class SettingInfolist
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                IconEntry::make('package_active')
                    ->boolean(),
                IconEntry::make('product_active')
                    ->boolean(),
                IconEntry::make('top_up_active')
                    ->boolean(),
                IconEntry::make('blog_active')
                    ->boolean(),
                TextEntry::make('currency'),
                TextEntry::make('en_website_name')
                    ->placeholder('-'),
                TextEntry::make('fa_website_name')
                    ->placeholder('-'),
                TextEntry::make('phone')
                    ->placeholder('-'),
                TextEntry::make('whatsapp_link')
                    ->placeholder('-'),
                TextEntry::make('facebook_link')
                    ->placeholder('-'),
                TextEntry::make('instagram_link')
                    ->placeholder('-'),
                TextEntry::make('twitter_link')
                    ->placeholder('-'),
                TextEntry::make('linkedin_link')
                    ->placeholder('-'),
                TextEntry::make('youtube_link')
                    ->placeholder('-'),
                TextEntry::make('tiktok_link')
                    ->placeholder('-'),
                TextEntry::make('sys_email'),
                TextEntry::make('en_address')
                    ->placeholder('-')
                    ->columnSpanFull(),
                TextEntry::make('fa_address')
                    ->placeholder('-')
                    ->columnSpanFull(),
                TextEntry::make('map_embed_link')
                    ->placeholder('-')
                    ->columnSpanFull(),
                TextEntry::make('en_working_hours')
                    ->placeholder('-')
                    ->columnSpanFull(),
                TextEntry::make('fa_working_hours')
                    ->placeholder('-')
                    ->columnSpanFull(),
                TextEntry::make('created_at')
                    ->dateTime()
                    ->placeholder('-'),
                TextEntry::make('updated_at')
                    ->dateTime()
                    ->placeholder('-'),
            ]);
    }
}
